Loading...
Searching...
No Matches
OgreSkeleton.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreStringVector.h"`
`#include "OgreAnimation.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

struct | Ogre::LinkedSkeletonAnimationSource
| Link to another skeleton to share animations. More...
class | Ogre::Skeleton
| A collection of Bone objects used to animate a skinned mesh. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::SkeletonAnimationBlendMode : uint8 { Ogre::ANIMBLEND_AVERAGE = 0 , Ogre::ANIMBLEND_CUMULATIVE = 1 }